#pragma once
#include "afxwin.h"
#include "afxcmn.h"

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
    CAboutDlg();

// Dialog Data
    enum { IDD = IDD_ABOUTBOX_PRO };

    // ClassWizard generated virtual function overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    afx_msg void OnNextVersions();
    afx_msg void OnPaint();
    virtual BOOL OnInitDialog();
    afx_msg void OnButtonReg();

    DECLARE_MESSAGE_MAP()
public:
};
// Environment.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CLoopCheck dialog

class CLoopCheck : public CDialog
{
// Construction
public:
    CLoopCheck(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_LOOP_CHECK };


// Overrides
    // ClassWizard generated virtual function overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:

    // Generated message map functions
    afx_msg void OnPaint();
    afx_msg void OnMoreInfo();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CdRead dialog

class CdRead : public CDialog
{
// Construction
public:
    CdRead(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_READ };

// Overrides
    // ClassWizard generated virtual function overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:

    // Generated message map functions
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    virtual void OnOK();
    virtual BOOL OnInitDialog();

    DECLARE_MESSAGE_MAP()
public:
};
// CpgSettings dialog

class CpgSettings : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgSettings)

// Construction
public:
    CpgSettings();
    ~CpgSettings();
    CFont m_Font;
    DWORD m_Colors2;
    BOOL m_bChanged;
  // Dialog Data
    enum { IDD = IDD_SETTINGS };
    BOOL    m_FixFirstRandom;
    BOOL    m_AutoPrStack;
    BOOL    m_FullAsFail;
    BOOL    m_UseDefMem;
    BOOL    m_UseDefFont;
    BOOL    m_DontRecompile;
    BOOL    m_NotWithLight;
    BOOL    m_DontEdit;
    BOOL    m_ExecuteExe;

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnChangeFont();
    afx_msg void OnPaint();
    afx_msg void OnDefaultFont();
    virtual BOOL OnInitDialog();
    afx_msg void OnDefaultMem();

    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgFiles dialog

class CpgFiles : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgFiles)

// Construction
public:
    CpgFiles();
    ~CpgFiles();

// Dialog Data
    enum { IDD = IDD_PRJ_FILES };
    CString    m_EditAdd;
    CString    m_EditDef;

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    virtual BOOL OnInitDialog();
    afx_msg void OnChangeAdd();
    afx_msg void OnChangeDef();
    afx_msg void OnDefaultAdd();
    afx_msg void OnDefaultDef();
    afx_msg void OnAdd();
    afx_msg void OnRemove();
    afx_msg void OnUp();
    afx_msg void OnDown();
    DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CpgBreakPoint dialog

class CpgBreakPoint : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgBreakPoint)

// Construction
public:
    CpgBreakPoint();
    ~CpgBreakPoint();

// Dialog Data
    enum { IDD = IDD_BREAK_POINT };
    BOOL    m_Active;
    DWORD    m_Point;


// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnActive();
    afx_msg void OnPaint();
    DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CpgEXEfile dialog

class CpgEXEfile : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgEXEfile)

// Construction
public:
    CpgEXEfile();
    ~CpgEXEfile();

// Dialog Data
    enum { IDD = IDD_EXE_FILE };
    CString    m_FileName;
    CString    m_Comments;
    BOOL    m_bSource;
    BOOL    m_bAddStandard;
    BYTE  m_Icon[744];

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnChangeIcon();
    virtual BOOL OnInitDialog();
    afx_msg void OnBrowse();
    afx_msg void OnDefalt();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgMemory dialog

class CpgMemory : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgMemory)

// Construction
public:
    CpgMemory();
    ~CpgMemory();

// Dialog Data
    enum { IDD = IDD_MEMORY };
    UINT    m_StackStart;
    UINT    m_VarStart;
    UINT    m_LinkStart;
    UINT    m_Stack;
    UINT    m_Var;
    UINT    m_Link;
    UINT    m_StackMax;
    UINT    m_VarMax;
    UINT    m_LinkMax;

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnSetDef1();
    afx_msg void OnSetDef2();
    afx_msg void OnSetDef3();
    afx_msg void OnSetDef4();
    afx_msg void OnSetDef5();
    afx_msg void OnSetDef6();
    afx_msg void OnSetDef7();
    afx_msg void OnSetDef8();
    afx_msg void OnSetDef9();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgCGI dialog

class CpgCGI : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgCGI)

// Construction
public:
    CpgCGI();
    ~CpgCGI();

// Dialog Data
    enum { IDD = IDD_CGI };
    CString    m_Arguments;
    CString    m_Get;
    CString    m_Post;

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
        // NOTE: the ClassWizard will add member functions here
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgCharSet dialog

class CpgCharSet : public CPropertyPage
{
	DECLARE_DYNAMIC(CpgCharSet)

public:
	CpgCharSet();
	virtual ~CpgCharSet();

// Dialog Data
	enum { IDD = IDD_CHAR_SET };

protected:
  virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void OnOK();

	DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnBnClickedAddExotic();
  afx_msg void OnBnClickedSelect();
  BOOL m_AddExotic;
  BOOL m_UseInstead;
  int m_nCharSet;
};
// CdOpenWith dialog

class CdOpenWith : public CDialog
{
	DECLARE_DYNAMIC(CdOpenWith)

public:
	CdOpenWith(CWnd* pParent = NULL);   // standard constructor
	virtual ~CdOpenWith();

// Dialog Data
	enum { IDD = IDD_OPEN_WITH };

protected:
  virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void OnOK();

	DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnAddExotic();
  BOOL m_AddExotic;
  BOOL m_UseInstead;
  int m_nCharSet;
  afx_msg void OnLbnDblclkList1();
};
/////////////////////////////////////////////////////////////////////////////
// CSettings

class CSettings : public CPropertySheet
{
    DECLARE_DYNAMIC(CSettings)

// Construction
public:
    CSettings(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CSettings(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
CpgSettings m_settings;
CpgFiles m_files;
CpgBreakPoint m_break;
CpgMemory m_memory;
CpgCharSet m_pgCharSet;
CpgEXEfile m_EXEfile;
CpgCGI m_CGI;

// Operations
public:


// Implementation
public:
    virtual ~CSettings();

    // Generated message map functions
protected:
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgEnvironment dialog

class CpgEnvironment : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgEnvironment)

// Construction
public:
    CpgEnvironment();
    ~CpgEnvironment();
    CFont m_Font;

// Dialog Data
    enum { IDD = IDD_ENVIRONMENT };
    BOOL    m_OnlyPj;
    BOOL    m_NextValid;
    BOOL    m_StepValid;
    BOOL    m_WordSel;
    BOOL    m_Remember;


// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnChangeInfoFont();
    afx_msg void OnPaint();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CpgView dialog

class CpgView : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgView)

// Construction
public:
    CpgView();
    ~CpgView();

// Dialog Data
    enum { IDD = IDD_VIEW };

// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    afx_msg void OnPaint();
    DECLARE_MESSAGE_MAP()
public:
    BOOL m_Splash;
    BOOL m_BigToolBar;
    BOOL m_ToolBar;
    BOOL m_StatusBar;
    BOOL m_AtTop;
    BOOL m_AutomaticScroll;
  BOOL m_FlatToolBar;
};
/////////////////////////////////////////////////////////////////////////////
// CpgSyntaxColor dialog

class CpgSyntaxColor : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgSyntaxColor)

// Construction
public:
    CpgSyntaxColor();
    ~CpgSyntaxColor();

// Dialog Data
    enum { IDD = IDD_SYNTAX_COLOR };
        // NOTE - ClassWizard will add data members here.
        //    DO NOT EDIT what you see in these blocks of generated code !


// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    // Generated message map functions
    DECLARE_MESSAGE_MAP()

public:
  DWORD m_synt_color[LAST_COLOR];
  DWORD m_synt_color_cus[LAST_COLOR];
  CComboBox m_CB_Type;
  CComboBox m_CB_Color;
  afx_msg void OnPaint();
  virtual BOOL OnInitDialog();
  afx_msg void OnCbnSelchangeCombo1();
  afx_msg void OnCbnSelchangeCombo2();
  afx_msg void OnBnClickedButton1();
  afx_msg void OnBnClickedButton2();
  afx_msg void OnBnClickedButton3();
  void MakeText(CDC *dc);
  CFont m_Font;
  int Color(int Number);
  int Number(int Color);
  BOOL m_OnFileOpen;
  BOOL m_EveryTextChange;
  BOOL m_WhenEnter;
  afx_msg void OnBnClickedCheck2();
  afx_msg void OnBnClickedCheck4();
  afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
  POINT m_Point;
  int m_pos[26];
  int m_clist[26];
};
/////////////////////////////////////////////////////////////////////////////
// CpgColors dialog

class CpgColors : public CPropertyPage
{
    DECLARE_DYNCREATE(CpgColors)

// Construction
public:
    CpgColors();
    ~CpgColors();
    DWORD c_black1, c_red1, c_green1, c_blue1, c_violet1, c_output1;

// Dialog Data
    enum { IDD = IDD_COLORS };
        // NOTE - ClassWizard will add data members here.
        //    DO NOT EDIT what you see in these blocks of generated code !


// Overrides
    // ClassWizard generate virtual function overrides
    public:
    virtual void OnOK();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
    void ChangeColor(DWORD *color);
    // Generated message map functions
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg void OnChange1();
    afx_msg void OnChange2();
    afx_msg void OnChange3();
    afx_msg void OnChange4();
    afx_msg void OnChange5();
    afx_msg void OnChange6();
    afx_msg void OnSetDefault();
    DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CEnvironment

class CEnvironment : public CPropertySheet
{
    DECLARE_DYNAMIC(CEnvironment)

// Construction
public:
    CEnvironment(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CEnvironment(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
CpgEnvironment m_environment;
CpgView m_view;
CpgSyntaxColor m_syntax_color;
CpgColors m_colors;

// Operations
public:

// Overrides

// Implementation
public:
    virtual ~CEnvironment();

    // Generated message map functions
protected:
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CdRegister dialog

class CdRegister : public CDialog
{
// Construction
public:
    CdRegister(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_REGISTER };
    CString    m_Name;
    CString    m_From;
    CString    m_ProductID;
    CString    m_Password;

// Overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:

    // Generated message map functions
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CdIConlist dialog

class CdIConlist : public CDialog // Angel
{
// Construction
public:
    void GetIcon(BYTE* Icon);
    CdIConlist(CWnd* pParent = NULL);   // standard constructor
    
/*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*//*-*/
    CListCtrl   m_ListCtrl; 
    CImageList  m_ImageList;
    CString     m_FileName;
    CDWordArray  m_dwArray; 
    DWORD        m_index; 
    HINSTANCE    m_hModule;

// Dialog Data
    enum { IDD = IDD_ICON_LIST };

// Overrides
    public:
    virtual BOOL Create(LPSTR lpszClassName, LPSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
    virtual BOOL DestroyWindow();
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
 
    // Generated message map functions
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CObjectBrowser dialog

class CObjectBrowser : public CDialog
{
// Construction
public:
    CObjectBrowser(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_OBJECT_BROWSER };
    CComboBox    m_Servers;
    CListCtrl    m_List;

// Overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
public:
   LPDISPATCH m_lpDisp;
   void SetElements();
   void InitListColumn();
    
protected:
   CImageList m_ImgList;

    // Generated message map functions
    virtual BOOL OnInitDialog();
    afx_msg void OnUpdateServerList();
    afx_msg void OnSelchangeCombo1();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CdComeStart dialog

class CdComeStart : public CDialog
{
// Construction
public:
    CdComeStart(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_COMESTART };


// Overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:

    // Generated message map functions
    afx_msg void OnPaint();
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CdComeEnd dialog

class CdComeEnd : public CDialog
{
// Construction
public:
    CdComeEnd(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_COMEEND };


// Overrides
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:

    // Generated message map functions
    afx_msg void OnPaint();
    virtual BOOL OnInitDialog();
    afx_msg void OnUnunstall();
    DECLARE_MESSAGE_MAP()
};
